'XPath Tester for HomeSite 4.5.1
'Author: Corey Haines (corey@elender.hu)
'Description: The XPath tester script will accept an XPath query and execute it on the currently active document. The resulting
' nodeset will be placed into a new document
'Updates:
'
' This script has been released to the public domain. If you make a change, please let me know, so I can add it,
' if necessary, to the original. You are free to distribute this script, as long as you leave this header in place.
'
sub Main()
	dim domDoc
	dim sXML
	dim sXPath
	dim nlResult
	dim nodResult
	dim lInd
	dim sResult
	
	set domDoc = CreateObject("MSXML2.DOMDocument.3.0")
	sXML = Application.ActiveDocument.Text

	if domDoc.loadxml(sXML) then
		sXPath = InputBox("Please enter the XPath")
		set nlResult = domDoc.selectNodes(sXPath)
		if nlResult.length > 0 then
			for lInd = 0 to nlResult.length-1
				set nodResult = nlResult.item(lInd)
				sResult = sResult & nodResult.xml & vbcrlf
			next
			Application.NewDocument false
			Application.ActiveDocument.Text = sResult
		else
			msgbox "XPath returned no nodes"
		end if
	else
		msgbox "Could not load XML document" & vbcrlf & domDoc.parseerror.reason
	end if
	set domDoc = Nothing
end sub